# Uses of Interface
org.bukkit.entity.Turtle

Packages that use Turtle
Package
Description
com.destroystokyo.paper.entity.ai
com.destroystokyo.paper.event.entity

## Uses of Turtle in com.destroystokyo.paper.entity.ai

Fields in com.destroystokyo.paper.entity.ai with type parameters of type Turtle
Modifier and Type
Field
Description
`static final GoalKey<Turtle>`
VanillaGoal.`TURTLE_BREED`
`static final GoalKey<Turtle>`
VanillaGoal.`TURTLE_GO_HOME`
`static final GoalKey<Turtle>`
VanillaGoal.`TURTLE_GO_TO_WATER`
`static final GoalKey<Turtle>`
VanillaGoal.`TURTLE_GOTO_WATER`
Deprecated.
`static final GoalKey<Turtle>`
VanillaGoal.`TURTLE_LAY_EGG`
`static final GoalKey<Turtle>`
VanillaGoal.`TURTLE_PANIC`
`static final GoalKey<Turtle>`
VanillaGoal.`TURTLE_RANDOM_STROLL`
`static final GoalKey<Turtle>`
VanillaGoal.`TURTLE_TEMPT`
Deprecated.
`static final GoalKey<Turtle>`
VanillaGoal.`TURTLE_TRAVEL`

## Uses of Turtle in com.destroystokyo.paper.event.entity

Methods in com.destroystokyo.paper.event.entity that return Turtle
Modifier and Type
Method
Description
`@NotNull Turtle`
TurtleGoHomeEvent.`getEntity()`
The turtle going home
`@NotNull Turtle`
TurtleLayEggEvent.`getEntity()`
The turtle laying the eggs
`@NotNull Turtle`
TurtleStartDiggingEvent.`getEntity()`
The turtle digging
Constructors in com.destroystokyo.paper.event.entity with parameters of type Turtle
Modifier
Constructor
Description
``
`TurtleGoHomeEvent(@NotNull Turtle turtle)`
``
`TurtleLayEggEvent(@NotNull Turtle turtle, @NotNull Location location, int eggCount)`
``
`TurtleStartDiggingEvent(@NotNull Turtle turtle, @NotNull Location location)`